Ravens PHP Scripts

phpBB eXtreme Styles Module *phpEx* Local File Inclusion
Date: Tuesday, March 25, 2008 @ 17:48:33 PDT
Topic: Security


SECUNIA ADVISORY ID: SA29487

VERIFY ADVISORY: http://secunia.com/advisories/29487/

CRITICAL: Moderately critical

IMPACT: Exposure of system information, Exposure of sensitive information

SOFTWARE: eXtreme Styles 2.x (module for phpBB) http://secunia.com/product/18020/

DESCRIPTION: bd0rk has discovered a vulnerability in the eXtreme Styles module (XS-Mod) for phpBB, which can be exploited by malicious people to disclose sensitive information. Successful exploitation requires that "register_globals" is enabled. The vulnerability is confirmed in version 2.4.0 and reported in version 2.3.1. Other versions may also be affected.




Input passed to the "phpEx" parameter in admin/admin_xs.php (when "setmodules" is set) is not properly verified before being used to include files. This can be exploited to include arbitrary files from local resources via directory traversal attacks.

SOLUTION: Edit the source code to ensure that input is properly verified.

PROVIDED AND/OR DISCOVERED BY: bd0rk

ORIGINAL ADVISORY: http://milw0rm.com/exploits/5301






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=3283